---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libThreadStateTest.dylib'
relocations:
  - { offsetInCU: 0x9A, offset: 0x9A, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1FA70, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x8CD7, offset: 0x8CD7, size: 0x8, addend: 0x0, symName: __ZL21GetCarrierThread_func, symObjAddr: 0x1FA78, symBinAddr: 0x8058, symSize: 0x0 }
  - { offsetInCU: 0x8D3C, offset: 0x8D3C, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x29F0, symSize: 0x30 }
  - { offsetInCU: 0x8FFE, offset: 0x8FFE, size: 0x8, addend: 0x0, symName: _Java_ThreadStateTest_setSingleSteppingMode, symObjAddr: 0xE90, symBinAddr: 0x2A20, symSize: 0x80 }
  - { offsetInCU: 0x90F8, offset: 0x90F8, size: 0x8, addend: 0x0, symName: _Java_ThreadStateTest_setMonitorContendedMode, symObjAddr: 0xF10, symBinAddr: 0x2AA0, symSize: 0x80 }
  - { offsetInCU: 0x9240, offset: 0x9240, size: 0x8, addend: 0x0, symName: _Java_ThreadStateTest_testGetThreadState, symObjAddr: 0xF90, symBinAddr: 0x2B20, symSize: 0x150 }
  - { offsetInCU: 0x94FB, offset: 0x94FB, size: 0x8, addend: 0x0, symName: __ZL18get_carrier_threadP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x10E0, symBinAddr: 0x2C70, symSize: 0x170 }
  - { offsetInCU: 0x9754, offset: 0x9754, size: 0x8, addend: 0x0, symName: __ZL18check_thread_stateP9_jvmtiEnvP7JNIEnv_P8_jobjectiiPKc, symObjAddr: 0x1250, symBinAddr: 0x2DE0, symSize: 0x220 }
  - { offsetInCU: 0x9CCB, offset: 0x9CCB, size: 0x8, addend: 0x0, symName: _Java_ThreadStateTest_testGetThreadListStackTraces, symObjAddr: 0x1470, symBinAddr: 0x3000, symSize: 0x120 }
  - { offsetInCU: 0x9EEE, offset: 0x9EEE, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1590, symBinAddr: 0x3120, symSize: 0x130 }
  - { offsetInCU: 0xA050, offset: 0xA050, size: 0x8, addend: 0x0, symName: __ZL10SingleStepP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x16C0, symBinAddr: 0x3250, symSize: 0x10 }
  - { offsetInCU: 0xA0A1, offset: 0xA0A1, size: 0x8, addend: 0x0, symName: __ZL16MonitorContendedP9_jvmtiEnvP7JNIEnv_P8_jobjectS4_, symObjAddr: 0x16D0, symBinAddr: 0x3260, symSize: 0x6 }
...
